RHS Feedback

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002904USAF[All Projects] Generalpublic2017-01-18 13:072017-11-04 02:24
Reporter7ftnick 
Assigned Toreyhard 
PrioritynoneSeverityminorReproducibilityhave not tried
StatusclosedResolutionsuspended 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.4.3.1 
Summary0002904: AI tanks shooting helos like they have a railgun. (Reopened)
DescriptionIt is just too hard, AI tanks are more powerful than AA they just knock out helos with their main cannons.

I am reopening this as it seems that the speed of 35kph for helos is not working anymore.

I just tested flying with Ka-52 and M1A hit me with the main cannon at 140kph.
TagsNo tags attached.
Is it a wish/request?No
Arma 3 version1.64
Did you used any other mod when the error occurred?No
Which mods?
Attached Files

- Relationships

-  Notes
(0005719)
reyhard (administrator)
2017-01-18 20:39

ai is now able to change ammo according to target type so don't you mistake "railgun" with atgm?
(0005743)
7ftnick (reporter)
2017-01-20 05:34
edited on: 2017-01-20 05:35

No, its HEAT rounds. Abrams do not even have atgm. Just place a helicopter in the air and 4 abrams on the ground (just make sure their guns can raise high enough to target you). And they will shoot you out of the sky with their main cannons.

I think it is related to:
^ Added airLock=1 to tank ATGMs & HEATs- AI should now engage helicopters with them

(0005744)
7ftnick (reporter)
2017-01-20 06:27
edited on: 2017-01-20 06:34

Checked it again.
I tried shooting helo with ATGM from t90, it is possible, everything is okay.
With a HEAT I did not manage to hit as the round was dropping to the ground.
And abramses do not even have target tracking.
Here is a sequence:
http://i.imgur.com/wnFSPMH.jpg [^]
http://i.imgur.com/oOKmoma.jpg [^]
http://i.imgur.com/P9gHsXp.jpg [^]
http://i.imgur.com/FoUItWt.jpg [^]


Perhaps it can be tweaked if the chopper`s speed is not greater than 5kph then it can be shot with a HEAT round.

(0005745)
reyhard (administrator)
2017-01-20 06:38

 so it's only abrams affected, not all rhs tanks, right? I think mpat rounds are missing maxLeadParam so they can take out fast flying assets. Otherwise keep in mind that MPAT have some AA capabilities due to proximity and distance fuze (which are not available for players yet)
(0005747)
7ftnick (reporter)
2017-01-20 09:01
edited on: 2017-01-20 11:01

No, those tanks that have ATGM are using it.
E.G. T-80 that does not have ATGM shoots heat just like an abrams, and it has bad optics and no target lead capability. It is just not possible for a human player to shoot like that.

Man they even shoot planes out with the main cannon (although on a slow approach).

(0005769)
reyhard (administrator)
2017-01-21 10:23

please use correct project tags!

ai will engage helicopters & airplanes with HEAT rounds when their speed bellow 35km/h.
(0006621)
reyhard (administrator)
2017-10-03 08:00

Reduced maxLeadSpeed for heat rounds
(0006625)
7ftnick (reporter)
2017-10-03 12:46

They shoot planes as well lol.

Is the speed back to 35kph now ?
(0006919)
7ftnick (reporter)
2017-10-29 02:32

It is happening again, just got shot with a SABOT flying at 196kph.
(0006922)
reyhard (administrator)
2017-10-29 12:16

happened with vanilla ai too - I will investigate that work but it might be some data change in a3 itself which caused it
(0006960)
Mr Mack (reporter)
2017-11-04 02:24
edited on: 2017-11-04 02:24

According to Ammunition on 120mm use by m1 family. The MPAT can shoot down choppers using MPAT which allows the M1 Abrams to use the round against helicopters.

https://en.wikipedia.org/wiki/Rheinmetall_120_mm_gun#Ammunition [^]


- Issue History
Date Modified Username Field Change
2017-01-18 13:07 7ftnick New Issue
2017-01-18 20:39 reyhard Note Added: 0005719
2017-01-18 20:39 reyhard Assigned To => reyhard
2017-01-18 20:39 reyhard Status new => feedback
2017-01-20 05:34 7ftnick Note Added: 0005743
2017-01-20 05:34 7ftnick Status feedback => new
2017-01-20 05:35 7ftnick Note Edited: 0005743 View Revisions
2017-01-20 06:27 7ftnick Note Added: 0005744
2017-01-20 06:28 7ftnick Note Edited: 0005744 View Revisions
2017-01-20 06:28 7ftnick Note Edited: 0005744 View Revisions
2017-01-20 06:29 7ftnick Note Edited: 0005744 View Revisions
2017-01-20 06:34 7ftnick Note Edited: 0005744 View Revisions
2017-01-20 06:38 reyhard Note Added: 0005745
2017-01-20 06:38 reyhard Status new => feedback
2017-01-20 09:01 7ftnick Note Added: 0005747
2017-01-20 09:01 7ftnick Status feedback => new
2017-01-20 09:09 7ftnick Note Edited: 0005747 View Revisions
2017-01-20 11:01 7ftnick Note Edited: 0005747 View Revisions
2017-01-20 11:54 reyhard Severity major => minor
2017-01-21 10:23 reyhard Note Added: 0005769
2017-01-21 10:23 reyhard Status new => resolved
2017-01-21 10:23 reyhard Fixed in Version => 0.4.2.1
2017-01-21 10:23 reyhard Resolution open => fixed
2017-10-02 18:17 7ftnick Status resolved => new
2017-10-02 18:17 7ftnick Summary AI tanks shooting helos like they have a railgun. => AI tanks shooting helos like they have a railgun. (Reopened)
2017-10-02 18:17 7ftnick Description Updated View Revisions
2017-10-03 08:00 reyhard Note Added: 0006621
2017-10-03 08:00 reyhard Status new => resolved
2017-10-03 08:00 reyhard Fixed in Version 0.4.2.1 => 0.4.3.1
2017-10-03 12:46 7ftnick Note Added: 0006625
2017-10-29 02:32 7ftnick Status resolved => new
2017-10-29 02:32 7ftnick Resolution fixed => reopened
2017-10-29 02:32 7ftnick Note Added: 0006919
2017-10-29 12:16 reyhard Note Added: 0006922
2017-10-29 12:16 reyhard Status new => closed
2017-10-29 12:16 reyhard Resolution reopened => suspended
2017-11-04 02:24 Mr Mack Note Added: 0006960
2017-11-04 02:24 Mr Mack Note Edited: 0006960 View Revisions


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker